Arrow Question

Is there a quick and simple way to draw a line with an arrowhead? I started playing with the Leader command. VERY cumbersome. Also, in the latest upgrade it is writing multi-line text on top of itself (all on one line). Something like "quick-leader" in ACAD would be nice, but even just a simple line with arrowhead and I'll add my own text would be better.Thanks

Comments

  • I use the lisp below. It starts from the opposite end to the arrow and does the little horizontal leg last, or just press Enter if you don't want it.

    (Defun c:mylead ()(SETVAR "ORTHOMODE" 0)(setq a (getpoint "\nPick Leader End Point: ") b (getpoint a "\nPick Leader Start Point: "))(SETVAR "ORTHOMODE" 1)(IF (NOT (setq c (getpoint a)))(SETQ C A))(SETVAR "ORTHOMODE" 1)(command "leader" b a c "" "" "n")(SETVAR "ORTHOMODE" 0))
  • John,Thanks. This is excellent.

  • Hi John,I saw the code snippet that John Gaunt has pasted and I am sure that works pretty well for your purpose but I thought I will just let you and the rest of the users of this group know the existence of a few simple Lisp routines that we have on our web-site for FREE download.This is the URL:http://www.4d-technologies.com/techcenterThese routines are written for AutoCAD but can work (99%) with Bricscad just as well. If something does not work, let me know.The reason I am pasting this link is that one of those free routines is a generic leader drawing function called (PL_Leaders...) in the polylines library.email me for more info or help.RegardsRakesh Rao [ rakesh.rao@4d-technologies.com ]Coordinate Systems (Bricscad Reseller & Developer-India)Get GeoTools for Bricscad, Work smarter, NOT harder[http://www.coordsys.com]- Free Lisp downloads @ TechCenter: www.4d-technologies.com/techcenter

This discussion has been closed.